Bug 733859 - perl-Gtk2 bogus requires on Test::More
Summary: perl-Gtk2 bogus requires on Test::More
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Gtk2
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 20:02 UTC by Nicolas Chauvet (kwizart)
Modified: 2011-09-15 19:35 UTC (History)
2 users (show)

Fixed In Version: perl-Gtk2-1.224-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-08 07:09:24 UTC


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2011-08-27 20:02:28 UTC
Description of problem:
perl-Gtk2 requires on Test::More which trigger perl-devel
This is unexpected and probably needs filtering.

Version-Release number of selected component (if applicable):
perl-Gtk2-1.223-2.el6.x86_64

Comment 1 Fedora Update System 2011-08-30 14:41:14 UTC
perl-Gtk2-1.224-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Gtk2-1.224-2.fc16

Comment 2 Fedora Update System 2011-08-30 14:41:27 UTC
perl-Gtk2-1.224-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Gtk2-1.224-2.el6

Comment 3 Fedora Update System 2011-08-30 14:41:40 UTC
perl-Gtk2-1.224-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Gtk2-1.224-2.fc15

Comment 4 Fedora Update System 2011-08-30 20:41:52 UTC
Package perl-Gtk2-1.224-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Gtk2-1.224-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Gtk2-1.224-2.fc16
then log in and leave karma (feedback).

Comment 5 Iain Arnell 2011-08-31 05:34:14 UTC
It's not a bogus dependency. Gtk2::TestHelper really does require Test::More. Admittedly, anyone relying on it is likely to have Test::More installed anyway or pulled in as a dep for other tests.

Comment 6 Tom "spot" Callaway 2011-08-31 14:31:03 UTC
Yeah, you're right, but it limits the footprint for the common case, without splitting out TestHelper into its own package.

Comment 7 Fedora Update System 2011-09-08 07:09:11 UTC
perl-Gtk2-1.224-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-09-09 17:13:42 UTC
perl-Gtk2-1.224-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-09-15 19:35:23 UTC
perl-Gtk2-1.224-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.